sources
Add Snowflake connection
Create a new Snowflake data warehouse connection. Supports both password and key-pair authentication.
POST
/api/v1/sources/add/snowflake/
Headers
Authorizationrequiredany - API key authentication using Bearer scheme
Request Body
typerequiredstring - Connection type identifier. Must be `SNOWFLAKE`
account_namestring - Display name for the connection
accountrequiredstring - Snowflake account identifier (e.g., xy12345.us-east-1)
userrequiredstring - Snowflake username
passwordstring - Password for authentication (optional - use either password or public_key)
public_keystring - Public key for key-pair authentication (optional - use either password or public_key)
warehousestring - Snowflake warehouse to use (optional)
Response
idinteger - The ID of the created connection
public_key_sqlstring - SQL command to add public key to Snowflake (only for key-pair auth)
